package jasper;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.Map;

import net.sf.jasperreports.engine.JasperFillManager;
import net.sf.jasperreports.engine.JasperPrint;
import net.sf.jasperreports.view.JasperViewer;

public class GeraRelatorio {

    private static final String rel1 = "RelAlunos.jasper";

    private static final String rel2 = "jasper/RelAlunosDisciplinas.jasper";

    public GeraRelatorio() throws Exception {
        // Lista dos alunos
        ArrayList listaAlunos = GerarDadosFicticios.getListaAlunos();

        // Cria o data source para o relatrio
        RelatorioAlunosDataSource ds = new RelatorioAlunosDataSource(
                listaAlunos);

        // Parametros do relatorio
        Map parametros = new HashMap();
        parametros.put("pathSubRel",rel2);
        
        JasperPrint impressao = JasperFillManager.fillReport(getClass()
                .getResourceAsStream(rel1), parametros, ds);

        //exibe o relatrio
        JasperViewer viewer = new JasperViewer(impressao, true);
        viewer.show();
    }

    public static void main(String[] args) throws Exception {
        new GeraRelatorio();
    }
}