package jasper;

import java.util.Iterator;
import java.util.List;

import net.sf.jasperreports.engine.JRDataSource;
import net.sf.jasperreports.engine.JRException;
import net.sf.jasperreports.engine.JRField;
import net.sf.jasperreports.engine.data.JRBeanCollectionDataSource;
import vo.Aluno;

/**
 * @author RJFurutani
 * @03/05/2005
 */
public class RelatorioAlunosDataSource implements JRDataSource {

    private Iterator itrAlunos;

    private Iterator itrLicenca;

    private Object valorAtual;

    private int i = 0;

    private boolean irParaProximoAluno = true;

    /**
     * @param campos
     * @param itr
     */
    public RelatorioAlunosDataSource(List lista) {
        super();
        this.itrAlunos = lista.iterator();
    }

    /*
     * (non-Javadoc)
     * 
     * @see net.sf.jasperreports.engine.JRDataSource#next()
     */
    public boolean next() throws JRException {
        valorAtual = itrAlunos.hasNext() ? itrAlunos.next() : null;
        irParaProximoAluno = (valorAtual != null);
        return irParaProximoAluno;
    }

    /*
     * (non-Javadoc)
     * 
     * @see net.sf.jasperreports.engine.JRDataSource#getFieldValue(net.sf.jasperreports.engine.JRField)
     */
    public Object getFieldValue(JRField campo) throws JRException {
        Object valor = null;
        Aluno aluno = (Aluno) valorAtual;

        if ("nome".equals(campo.getName())) {
            valor = aluno.getNome();
        } else if ("ListaDisciplinas".equals(campo.getName())) {
            valor = new JRBeanCollectionDataSource(aluno.getDisciplinas());
        } else if ("curso".equals(campo.getName())) {
            valor = aluno.getCurso();
        }

        return valor;
    }
}